GNOME-SOFTWARE(1)

NAME
gnome-software - Install and update apps

SYNOPSIS

gnome-software [OPTION...]

DESCRIPTION

gnome-software allows you to add and remove apps and update your system.

OPTIONS

--mode=MODE
    Start gnome-software in the given mode. MODE can be updates, updated, installed or overview. The default mode is overview.

--search=SEARCH
    Search for apps.

--details=ID
    Show app details (using app ID).

--details-pkg=PKGNAME
    Show app details (using package name).

--install=ID
    Install the app (using app ID).

--uninstall=ID
    Uninstall the app (using app ID).

--local-filename=FILENAME
    Open a local package file.

--interaction=INTERACTION
    The kind of interaction expected for this action: either none, notify, or full.

--show-metainfo=FILENAME
    Show a local metainfo or appdata file.

--verbose
    Enable verbose debugging output (from the running instance, if already running).

--autoupdate
    Install any pending updates in the background.

--prefs
    Show preferences.

--quit
    Quit the running instance.

--prefer-local
    Prefer local file sources to AppStream.

--version
    Print version and exit.

-?, --help
    Display help and exit.

Other standard GNOME options not listed here are also supported.

BUGS

The bug tracker can be reached by visiting the website https://gitlab.gnome.org/GNOME/gnome-software/issues.

AUTHOR

This manual page was written by Richard Hughes <richard@hughsie.com>.